Subject: RE: Comments on draft-ietf-l2vpn-l2tp-radius-vpls-00.txt

From: Sasha Vainshtein <[email-masked]>
Date: Thu, 29 Jan 2004 18:47:26 +0200

Mark, Richard and all,

When I have started this thread I have assumed that my basic support 
of the draft in question goes without saying, even if some issues 
remain to be clarified.

Since the need for this draft is now questioned, I'd like to express 
my support explicitly and also to explain why, IMO, such a draft is useful.

I agree that RADIUS-based auto-discovery as descrived in draft-heinanen is 
orthogonal to any specific transport (IP or MPLS), demultiplexing (MPLS or
L2TPv3) and signaling (LDP, L2TPv3, BGP etc.) methods.

However, two points should be noted:

1. It is usually helpful to have a single document that expicitly 
   shows how all the things described in various protocol specs
   "fit together" to provide a complete solution of a well-defined
   problem. This is especially true for tge L2VPN WG that is not 
   inventing new protocols. And, IMO, the draft in question does 
   exactly that.

2. The draft in question uses RADIUS not only for auto-discovery of PEs
   but also for authenication of each specific PE-to-PE session at the 
   "passive" side. This is not mentioned in the auto-discovery draft 
   (and, IMO, is not part of auto-discovery anyway since not every
   auto-discovery method allows such an authentication). And this 
   provides an additional "security point" to be taken into account.

Wrt to the proposal to have a matrix of drafts matching each known
auto-discovery method with each known signaling method, I'd like to
note that, IMO, this is not all that far from what we already have
(e.g., there is already a draft which describes how to use MP-BGP 
both for VPLS auto-discovery and signaling - 
draft-ietf-l2vpn-vpls-bgp-01.txt.:-).

With best regards,
                                   Sasha Vainshtein
email:     [email-masked] <mailto:[email-masked]> 
tel:       +972-3-7659993 (office)
           +972-8-9254948 (res.)
           +972-58-674833 (cell.)

> -----Original Message-----
> From: W. Mark Townsley [mailto:[email-masked]]
> Sent: Thursday, January 29, 2004 4:41 PM
> To: [email-masked]
> Cc: Sasha Vainshtein; [email-masked]; [email-masked]; 
> [email-masked]; Elena Vinkler; Sharon Galtzur; Gonen Zilber; 
> Alik Shimelmits
> Subject: Re: Comments on draft-ietf-l2vpn-l2tp-radius-vpls-00.txt
> 
> 
> 
> Hello Richard. Please see responses inline.
> 
> [email-masked] wrote:
> > I am very supportive of using RADIUS for discovery and do 
> not have any issues
> > with providers that want to use L2TP for VPLS, but IMO this 
> specific draft is
> > not needed.
> > 
> > 
> > 
> > It is a combination of extracts from the RADIUS discovery 
> draft, extracts
> > from the L2TP drafts, and some text describing VPLS 
> services (which is
> > equivalent to the text in the BGP and LDP VPLS drafts 
> describing the same
> > thing). I cannot find anything new/different other than 
> stating what the AVP
> > attributes must be.
> > I think that the RADIUS extracts of this draft should be 
> removed and it
> > should be developed to create a L2TP equivalent of the BGP 
> and LDP VPLS
> > drafts. This should help address Sasha's concerns below, 
> and RADIUS discovery
> > could be mentioned as a possible discovery mechanism, along 
> with BGP and DNS
> > (as is done in the BGP and LDP VPLS drafts).
> 
> draft-heinanen-radius-pe-discovery-04.txt already focuses on 
> RADIUS discovery in 
> a generic manner. If I understand you, you would like to see 
> an L2TP draft which 
> does what the draft-ietf-l2vpn-l2tp-radius-vpls-00.txt draft 
> does for RADIUS, 
> but also points to BGP and LDP as well.
> 
> > From a functional perspective the RADIUS and L2TP 
> mechanisms are completely
> > separate. 
> 
> Yes, I think that in draft-ietf-l2vpn-l2tp-radius-vpls-00.txt 
> Juha was just 
> showing how to apply the RADIUS discovery in an L2TP 
> environment. I think that 
> the text that applies to this is reasonable (perhaps it could 
> be whittled down a 
> bit as you suggest, but by some standards its a fairly terse 
> document at barely 
> 6 pages text minus headers).
> 
>  > The RADIUS discovery mechanism is a function for which the output
> > is a list of IP addresses of PEs belonging to the same VPN. 
> If the output is
> > properly defined (which I believe it already is) there is 
> no need to define
> > new drafts for each signalling protocol that might use 
> RADIUS discovery. If
> > there is a need for this draft then why don't we also need -
> > 
> > 
> > 
> > 'The-RADIUS-discovery-with-LDP-signalling-VPLS-draft"
> > 
> > 'The-RADIUS-discovery-with-BGP-signalling-VPLS-draft"
> > 
> > 'The-BGP-discovery-with-LDP-signalling-VPLS-draft"
> > 
> > 'The-BGP-discovery-with-L2TP-signalling-VPLS-draft"
> > 
> > etc.
> 
> So, I think you are suggesting that we have a generic VPLS 
> L2TP draft, and, 
> perhaps, a RADIUS, BGP and LDP section within simply as 
> examples of how you 
> might use various autodiscovery mechanisms with L2TP.
> 
> - Mark
> 
> 
> 
> 
>